struts-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Lukasz Lenart (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (WW-4127) different commons-io versions in struts2-core
Date Mon, 24 Jun 2013 19:40:20 GMT

     [ https://issues.apache.org/jira/browse/WW-4127?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Lukasz Lenart updated WW-4127:
------------------------------

    Fix Version/s: 2.3.16
    
> different commons-io versions in struts2-core
> ---------------------------------------------
>
>                 Key: WW-4127
>                 URL: https://issues.apache.org/jira/browse/WW-4127
>             Project: Struts 2
>          Issue Type: Bug
>          Components: Build Management
>    Affects Versions: 2.3.15
>         Environment: Maven
>            Reporter: Gabriel Belingueres
>            Priority: Minor
>             Fix For: 2.3.16
>
>
> Hi!
> the commons-io component is a dependency of both commons-fileupload-1.3 (commons-io-2.2)
and struts2-core (commons-io 2.0.1) which is inherited from struts2-parent's pom.xml file.
> This may lead to subtle bugs since maven select by default the "highest in the tree"
of dependencies (which in this case resolves to version 2.0.1).
> A workaround exists by adding the correct commons-io version in the dependencyManagement
section of your project's pom.xml file:
>   <dependencyManagement>
>     <dependencies>
>       <dependency>
>         <groupId>commons-io</groupId>
>         <artifactId>commons-io</artifactId>
>         <version>2.2</version>
>       </dependency>
>     </dependencies>
>   </dependencyManagement>

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message